Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 714066 - net-proxy/obfs4proxy: migrate to go-module
Summary: net-proxy/obfs4proxy: migrate to go-module
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Marek Szuba
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-23 14:01 UTC by William Hubbs
Modified: 2020-03-25 15:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
go-module.patch (go-module.patch,3.32 KB, patch)
2020-03-23 14:02 UTC, William Hubbs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Hubbs gentoo-dev 2020-03-23 14:01:40 UTC
This patch changes this ebuild to use the go-module eclass.
Could you please test and apply?
Note that you will also have to fix the manifest.


Thanks,

William
Comment 1 William Hubbs gentoo-dev 2020-03-23 14:02:56 UTC
Created attachment 624680 [details, diff]
go-module.patch
Comment 2 Marek Szuba gentoo-dev 2020-03-24 13:04:42 UTC
Alas, doesn't work for me - the compile phase fails immediately with "build .: cannot find module for path ."
Comment 3 Larry the Git Cow gentoo-dev 2020-03-25 15:15:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6744ef24a44e427fc6ec0c7bebe05fddf4eedf6a

commit 6744ef24a44e427fc6ec0c7bebe05fddf4eedf6a
Author:     Marek Szuba <marecki@gentoo.org>
AuthorDate: 2020-03-25 15:04:00 +0000
Commit:     Marek Szuba <marecki@gentoo.org>
CommitDate: 2020-03-25 15:14:43 +0000

    net-proxy/obfs4proxy: migrate to go-module
    
    Bulk of work done by williamh, with my own additional changes
    to src_compile() and the long-overdue switch from dodoc to DOCS
    for documentation.
    
    Closes: https://bugs.gentoo.org/714066
    Signed-off-by: Marek Szuba <marecki@gentoo.org>

 net-proxy/obfs4proxy/Manifest                    | 26 +++++++++++
 net-proxy/obfs4proxy/obfs4proxy-0.0.11-r1.ebuild | 58 ++++++++++++++++++++++++
 2 files changed, 84 insertions(+)